Package org.apache.catalina.startup

## Class EngineRuleSet

- java.lang.Object
- - org.apache.catalina.startup.EngineRuleSet

All Implemented Interfaces:
  `RuleSet`

    public class EngineRuleSet
    extends Object
    implements RuleSet

RuleSet for processing the contents of a Engine definition element. This `RuleSet` does NOT include any rules for nested Host elements, which should be added via instances of `HostRuleSet`.

Author:
  Craig R. McClanahan

### Field Summary

Fields
`protected String` `prefix` The matching pattern prefix to use for recognizing our elements.

### Constructor Summary

Constructors
`EngineRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix.
`EngineRuleSet​(String prefix)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRuleInstances​(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### prefix

    protected final String prefix

The matching pattern prefix to use for recognizing our elements.

### Constructor Detail

#### EngineRuleSet

    public EngineRuleSet()

Construct an instance of this `RuleSet` with the default matching pattern prefix.

#### EngineRuleSet

    public EngineRuleSet​(String prefix)

Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Parameters:
  `prefix` - Prefix for matching pattern rules (including the trailing slash character)

### Method Detail

#### addRuleInstances

    public void addRuleInstances​(Digester digester)

Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

Specified by:
  `addRuleInstances` in interface `RuleSet`
Parameters:
  `digester` - Digester instance to which the new Rule instances should be added.